import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeRetentionConfigurationsInput } from "../types/DescribeRetentionConfigurationsInput";
import { DescribeRetentionConfigurationsOutput } from "../types/DescribeRetentionConfigurationsOutput";
import { ConfigServiceResolvedConfiguration } from "../ConfigServiceConfiguration";
export * from "../types/DescribeRetentionConfigurationsInput";
export * from "../types/DescribeRetentionConfigurationsOutput";
export * from "../types/DescribeRetentionConfigurationsExceptionsUnion";
export declare class DescribeRetentionConfigurationsCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeRetentionConfigurationsInput, OutputTypesUnion, DescribeRetentionConfigurationsOutput, ConfigServiceResolvedConfiguration, Blob> {
    readonly input: DescribeRetentionConfigurationsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeRetentionConfigurationsInput, DescribeRetentionConfigurationsOutput, Blob>;
    constructor(input: DescribeRetentionConfigurationsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ConfigServiceResolvedConfiguration): __aws_sdk_types.Handler<DescribeRetentionConfigurationsInput, DescribeRetentionConfigurationsOutput>;
}
