"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetAggregateConfigRuleComplianceSummary_1 = require("../model/operations/GetAggregateConfigRuleComplianceSummary");
var GetAggregateConfigRuleComplianceSummaryCommand = /** @class */ (function () {
    function GetAggregateConfigRuleComplianceSummaryCommand(input) {
        this.input = input;
        this.model = GetAggregateConfigRuleComplianceSummary_1.GetAggregateConfigRuleComplianceSummary;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetAggregateConfigRuleComplianceSummaryCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetAggregateConfigRuleComplianceSummaryCommand;
}());
exports.GetAggregateConfigRuleComplianceSummaryCommand = GetAggregateConfigRuleComplianceSummaryCommand;
//# sourceMappingURL=GetAggregateConfigRuleComplianceSummaryCommand.js.map