"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetAggregateDiscoveredResourceCounts_1 = require("../model/operations/GetAggregateDiscoveredResourceCounts");
var GetAggregateDiscoveredResourceCountsCommand = /** @class */ (function () {
    function GetAggregateDiscoveredResourceCountsCommand(input) {
        this.input = input;
        this.model = GetAggregateDiscoveredResourceCounts_1.GetAggregateDiscoveredResourceCounts;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetAggregateDiscoveredResourceCountsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetAggregateDiscoveredResourceCountsCommand;
}());
exports.GetAggregateDiscoveredResourceCountsCommand = GetAggregateDiscoveredResourceCountsCommand;
//# sourceMappingURL=GetAggregateDiscoveredResourceCountsCommand.js.map