import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetComplianceDetailsByConfigRuleInput } from "../types/GetComplianceDetailsByConfigRuleInput";
import { GetComplianceDetailsByConfigRuleOutput } from "../types/GetComplianceDetailsByConfigRuleOutput";
import { ConfigServiceResolvedConfiguration } from "../ConfigServiceConfiguration";
export * from "../types/GetComplianceDetailsByConfigRuleInput";
export * from "../types/GetComplianceDetailsByConfigRuleOutput";
export * from "../types/GetComplianceDetailsByConfigRuleExceptionsUnion";
export declare class GetComplianceDetailsByConfigRuleCommand implements __aws_sdk_types.Command<InputTypesUnion, GetComplianceDetailsByConfigRuleInput, OutputTypesUnion, GetComplianceDetailsByConfigRuleOutput, ConfigServiceResolvedConfiguration, Blob> {
    readonly input: GetComplianceDetailsByConfigRuleInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetComplianceDetailsByConfigRuleInput, GetComplianceDetailsByConfigRuleOutput, Blob>;
    constructor(input: GetComplianceDetailsByConfigRuleInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ConfigServiceResolvedConfiguration): __aws_sdk_types.Handler<GetComplianceDetailsByConfigRuleInput, GetComplianceDetailsByConfigRuleOutput>;
}
