"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetComplianceDetailsByResource_1 = require("../model/operations/GetComplianceDetailsByResource");
var GetComplianceDetailsByResourceCommand = /** @class */ (function () {
    function GetComplianceDetailsByResourceCommand(input) {
        this.input = input;
        this.model = GetComplianceDetailsByResource_1.GetComplianceDetailsByResource;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetComplianceDetailsByResourceCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetComplianceDetailsByResourceCommand;
}());
exports.GetComplianceDetailsByResourceCommand = GetComplianceDetailsByResourceCommand;
//# sourceMappingURL=GetComplianceDetailsByResourceCommand.js.map