import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { PutConfigRuleInput } from "../types/PutConfigRuleInput";
import { PutConfigRuleOutput } from "../types/PutConfigRuleOutput";
import { ConfigServiceResolvedConfiguration } from "../ConfigServiceConfiguration";
export * from "../types/PutConfigRuleInput";
export * from "../types/PutConfigRuleOutput";
export * from "../types/PutConfigRuleExceptionsUnion";
export declare class PutConfigRuleCommand implements __aws_sdk_types.Command<InputTypesUnion, PutConfigRuleInput, OutputTypesUnion, PutConfigRuleOutput, ConfigServiceResolvedConfiguration, Blob> {
    readonly input: PutConfigRuleInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<PutConfigRuleInput, PutConfigRuleOutput, Blob>;
    constructor(input: PutConfigRuleInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ConfigServiceResolvedConfiguration): __aws_sdk_types.Handler<PutConfigRuleInput, PutConfigRuleOutput>;
}
