import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { PutDeliveryChannelInput } from "../types/PutDeliveryChannelInput";
import { PutDeliveryChannelOutput } from "../types/PutDeliveryChannelOutput";
import { ConfigServiceResolvedConfiguration } from "../ConfigServiceConfiguration";
export * from "../types/PutDeliveryChannelInput";
export * from "../types/PutDeliveryChannelOutput";
export * from "../types/PutDeliveryChannelExceptionsUnion";
export declare class PutDeliveryChannelCommand implements __aws_sdk_types.Command<InputTypesUnion, PutDeliveryChannelInput, OutputTypesUnion, PutDeliveryChannelOutput, ConfigServiceResolvedConfiguration, Blob> {
    readonly input: PutDeliveryChannelInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<PutDeliveryChannelInput, PutDeliveryChannelOutput, Blob>;
    constructor(input: PutDeliveryChannelInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ConfigServiceResolvedConfiguration): __aws_sdk_types.Handler<PutDeliveryChannelInput, PutDeliveryChannelOutput>;
}
