import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { StartConfigRulesEvaluationInput } from "../types/StartConfigRulesEvaluationInput";
import { StartConfigRulesEvaluationOutput } from "../types/StartConfigRulesEvaluationOutput";
import { ConfigServiceResolvedConfiguration } from "../ConfigServiceConfiguration";
export * from "../types/StartConfigRulesEvaluationInput";
export * from "../types/StartConfigRulesEvaluationOutput";
export * from "../types/StartConfigRulesEvaluationExceptionsUnion";
export declare class StartConfigRulesEvaluationCommand implements __aws_sdk_types.Command<InputTypesUnion, StartConfigRulesEvaluationInput, OutputTypesUnion, StartConfigRulesEvaluationOutput, ConfigServiceResolvedConfiguration, Blob> {
    readonly input: StartConfigRulesEvaluationInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<StartConfigRulesEvaluationInput, StartConfigRulesEvaluationOutput, Blob>;
    constructor(input: StartConfigRulesEvaluationInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ConfigServiceResolvedConfiguration): __aws_sdk_types.Handler<StartConfigRulesEvaluationInput, StartConfigRulesEvaluationOutput>;
}
