"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteConfigRuleInput_1 = require("../shapes/DeleteConfigRuleInput");
var DeleteConfigRuleOutput_1 = require("../shapes/DeleteConfigRuleOutput");
var NoSuchConfigRuleException_1 = require("../shapes/NoSuchConfigRuleException");
var ResourceInUseException_1 = require("../shapes/ResourceInUseException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteConfigRule = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteConfigRule",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteConfigRuleInput_1.DeleteConfigRuleInput
    },
    output: {
        shape: DeleteConfigRuleOutput_1.DeleteConfigRuleOutput
    },
    errors: [
        {
            shape: NoSuchConfigRuleException_1.NoSuchConfigRuleException
        },
        {
            shape: ResourceInUseException_1.ResourceInUseException
        }
    ]
};
//# sourceMappingURL=DeleteConfigRule.js.map