"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeletePendingAggregationRequestInput_1 = require("../shapes/DeletePendingAggregationRequestInput");
var DeletePendingAggregationRequestOutput_1 = require("../shapes/DeletePendingAggregationRequestOutput");
var InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeletePendingAggregationRequest = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeletePendingAggregationRequest",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeletePendingAggregationRequestInput_1.DeletePendingAggregationRequestInput
    },
    output: {
        shape: DeletePendingAggregationRequestOutput_1.DeletePendingAggregationRequestOutput
    },
    errors: [
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        }
    ]
};
//# sourceMappingURL=DeletePendingAggregationRequest.js.map