"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteRetentionConfigurationInput_1 = require("../shapes/DeleteRetentionConfigurationInput");
var DeleteRetentionConfigurationOutput_1 = require("../shapes/DeleteRetentionConfigurationOutput");
var InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
var NoSuchRetentionConfigurationException_1 = require("../shapes/NoSuchRetentionConfigurationException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteRetentionConfiguration = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteRetentionConfiguration",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteRetentionConfigurationInput_1.DeleteRetentionConfigurationInput
    },
    output: {
        shape: DeleteRetentionConfigurationOutput_1.DeleteRetentionConfigurationOutput
    },
    errors: [
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        },
        {
            shape: NoSuchRetentionConfigurationException_1.NoSuchRetentionConfigurationException
        }
    ]
};
//# sourceMappingURL=DeleteRetentionConfiguration.js.map