"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeConfigurationAggregatorsInput_1 = require("../shapes/DescribeConfigurationAggregatorsInput");
var DescribeConfigurationAggregatorsOutput_1 = require("../shapes/DescribeConfigurationAggregatorsOutput");
var InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
var NoSuchConfigurationAggregatorException_1 = require("../shapes/NoSuchConfigurationAggregatorException");
var InvalidNextTokenException_1 = require("../shapes/InvalidNextTokenException");
var InvalidLimitException_1 = require("../shapes/InvalidLimitException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeConfigurationAggregators = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeConfigurationAggregators",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeConfigurationAggregatorsInput_1.DescribeConfigurationAggregatorsInput
    },
    output: {
        shape: DescribeConfigurationAggregatorsOutput_1.DescribeConfigurationAggregatorsOutput
    },
    errors: [
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        },
        {
            shape: NoSuchConfigurationAggregatorException_1.NoSuchConfigurationAggregatorException
        },
        {
            shape: InvalidNextTokenException_1.InvalidNextTokenException
        },
        {
            shape: InvalidLimitException_1.InvalidLimitException
        }
    ]
};
//# sourceMappingURL=DescribeConfigurationAggregators.js.map