"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeRetentionConfigurationsInput_1 = require("../shapes/DescribeRetentionConfigurationsInput");
var DescribeRetentionConfigurationsOutput_1 = require("../shapes/DescribeRetentionConfigurationsOutput");
var InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
var NoSuchRetentionConfigurationException_1 = require("../shapes/NoSuchRetentionConfigurationException");
var InvalidNextTokenException_1 = require("../shapes/InvalidNextTokenException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeRetentionConfigurations = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeRetentionConfigurations",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeRetentionConfigurationsInput_1.DescribeRetentionConfigurationsInput
    },
    output: {
        shape: DescribeRetentionConfigurationsOutput_1.DescribeRetentionConfigurationsOutput
    },
    errors: [
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        },
        {
            shape: NoSuchRetentionConfigurationException_1.NoSuchRetentionConfigurationException
        },
        {
            shape: InvalidNextTokenException_1.InvalidNextTokenException
        }
    ]
};
//# sourceMappingURL=DescribeRetentionConfigurations.js.map