"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetAggregateResourceConfigInput_1 = require("../shapes/GetAggregateResourceConfigInput");
var GetAggregateResourceConfigOutput_1 = require("../shapes/GetAggregateResourceConfigOutput");
var ValidationException_1 = require("../shapes/ValidationException");
var NoSuchConfigurationAggregatorException_1 = require("../shapes/NoSuchConfigurationAggregatorException");
var OversizedConfigurationItemException_1 = require("../shapes/OversizedConfigurationItemException");
var ResourceNotDiscoveredException_1 = require("../shapes/ResourceNotDiscoveredException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetAggregateResourceConfig = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetAggregateResourceConfig",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: GetAggregateResourceConfigInput_1.GetAggregateResourceConfigInput
    },
    output: {
        shape: GetAggregateResourceConfigOutput_1.GetAggregateResourceConfigOutput
    },
    errors: [
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: NoSuchConfigurationAggregatorException_1.NoSuchConfigurationAggregatorException
        },
        {
            shape: OversizedConfigurationItemException_1.OversizedConfigurationItemException
        },
        {
            shape: ResourceNotDiscoveredException_1.ResourceNotDiscoveredException
        }
    ]
};
//# sourceMappingURL=GetAggregateResourceConfig.js.map