"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListTagsForResourceInput_1 = require("../shapes/ListTagsForResourceInput");
var ListTagsForResourceOutput_1 = require("../shapes/ListTagsForResourceOutput");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var ValidationException_1 = require("../shapes/ValidationException");
var InvalidLimitException_1 = require("../shapes/InvalidLimitException");
var InvalidNextTokenException_1 = require("../shapes/InvalidNextTokenException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListTagsForResource = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListTagsForResource",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListTagsForResourceInput_1.ListTagsForResourceInput
    },
    output: {
        shape: ListTagsForResourceOutput_1.ListTagsForResourceOutput
    },
    errors: [
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: InvalidLimitException_1.InvalidLimitException
        },
        {
            shape: InvalidNextTokenException_1.InvalidNextTokenException
        }
    ]
};
//# sourceMappingURL=ListTagsForResource.js.map