"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var PutRemediationConfigurationsInput_1 = require("../shapes/PutRemediationConfigurationsInput");
var PutRemediationConfigurationsOutput_1 = require("../shapes/PutRemediationConfigurationsOutput");
var InsufficientPermissionsException_1 = require("../shapes/InsufficientPermissionsException");
var InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.PutRemediationConfigurations = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "PutRemediationConfigurations",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: PutRemediationConfigurationsInput_1.PutRemediationConfigurationsInput
    },
    output: {
        shape: PutRemediationConfigurationsOutput_1.PutRemediationConfigurationsOutput
    },
    errors: [
        {
            shape: InsufficientPermissionsException_1.InsufficientPermissionsException
        },
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        }
    ]
};
//# sourceMappingURL=PutRemediationConfigurations.js.map