"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UntagResourceInput_1 = require("../shapes/UntagResourceInput");
var UntagResourceOutput_1 = require("../shapes/UntagResourceOutput");
var ValidationException_1 = require("../shapes/ValidationException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UntagResource = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UntagResource",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: UntagResourceInput_1.UntagResourceInput
    },
    output: {
        shape: UntagResourceOutput_1.UntagResourceOutput
    },
    errors: [
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        }
    ]
};
//# sourceMappingURL=UntagResource.js.map