"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ComplianceTypes_1 = require("./_ComplianceTypes");
exports.GetComplianceDetailsByResourceInput = {
    type: "structure",
    required: ["ResourceType", "ResourceId"],
    members: {
        ResourceType: {
            shape: {
                type: "string",
                min: 1
            }
        },
        ResourceId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        ComplianceTypes: {
            shape: _ComplianceTypes_1._ComplianceTypes
        },
        NextToken: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=GetComplianceDetailsByResourceInput.js.map