"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _AccountAggregationSourceList_1 = require("./_AccountAggregationSourceList");
var _OrganizationAggregationSource_1 = require("./_OrganizationAggregationSource");
var _TagsList_1 = require("./_TagsList");
exports.PutConfigurationAggregatorInput = {
    type: "structure",
    required: ["ConfigurationAggregatorName"],
    members: {
        ConfigurationAggregatorName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        AccountAggregationSources: {
            shape: _AccountAggregationSourceList_1._AccountAggregationSourceList
        },
        OrganizationAggregationSource: {
            shape: _OrganizationAggregationSource_1._OrganizationAggregationSource
        },
        Tags: {
            shape: _TagsList_1._TagsList
        }
    }
};
//# sourceMappingURL=PutConfigurationAggregatorInput.js.map