"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _EvaluationResultIdentifier_1 = require("./_EvaluationResultIdentifier");
exports._AggregateEvaluationResult = {
    type: "structure",
    required: [],
    members: {
        EvaluationResultIdentifier: {
            shape: _EvaluationResultIdentifier_1._EvaluationResultIdentifier
        },
        ComplianceType: {
            shape: {
                type: "string"
            }
        },
        ResultRecordedTime: {
            shape: {
                type: "timestamp"
            }
        },
        ConfigRuleInvokedTime: {
            shape: {
                type: "timestamp"
            }
        },
        Annotation: {
            shape: {
                type: "string",
                min: 1
            }
        },
        AccountId: {
            shape: {
                type: "string"
            }
        },
        AwsRegion: {
            shape: {
                type: "string",
                min: 1
            }
        }
    }
};
//# sourceMappingURL=_AggregateEvaluationResult.js.map