import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { BatchGetAggregateResourceConfigInput } from "../types/BatchGetAggregateResourceConfigInput";
import { BatchGetAggregateResourceConfigOutput } from "../types/BatchGetAggregateResourceConfigOutput";
import { ConfigServiceResolvedConfiguration } from "../ConfigServiceConfiguration";
export * from "../types/BatchGetAggregateResourceConfigInput";
export * from "../types/BatchGetAggregateResourceConfigOutput";
export * from "../types/BatchGetAggregateResourceConfigExceptionsUnion";
export declare class BatchGetAggregateResourceConfigCommand implements __aws_sdk_types.Command<InputTypesUnion, BatchGetAggregateResourceConfigInput, OutputTypesUnion, BatchGetAggregateResourceConfigOutput, ConfigServiceResolvedConfiguration, Blob> {
    readonly input: BatchGetAggregateResourceConfigInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<BatchGetAggregateResourceConfigInput, BatchGetAggregateResourceConfigOutput, Blob>;
    constructor(input: BatchGetAggregateResourceConfigInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ConfigServiceResolvedConfiguration): __aws_sdk_types.Handler<BatchGetAggregateResourceConfigInput, BatchGetAggregateResourceConfigOutput>;
}
