"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeOrganizationConfigRuleStatuses_1 = require("../model/operations/DescribeOrganizationConfigRuleStatuses");
var DescribeOrganizationConfigRuleStatusesCommand = /** @class */ (function () {
    function DescribeOrganizationConfigRuleStatusesCommand(input) {
        this.input = input;
        this.model = DescribeOrganizationConfigRuleStatuses_1.DescribeOrganizationConfigRuleStatuses;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeOrganizationConfigRuleStatusesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeOrganizationConfigRuleStatusesCommand;
}());
exports.DescribeOrganizationConfigRuleStatusesCommand = DescribeOrganizationConfigRuleStatusesCommand;
//# sourceMappingURL=DescribeOrganizationConfigRuleStatusesCommand.js.map