import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetComplianceDetailsByResourceInput } from "../types/GetComplianceDetailsByResourceInput";
import { GetComplianceDetailsByResourceOutput } from "../types/GetComplianceDetailsByResourceOutput";
import { ConfigServiceResolvedConfiguration } from "../ConfigServiceConfiguration";
export * from "../types/GetComplianceDetailsByResourceInput";
export * from "../types/GetComplianceDetailsByResourceOutput";
export * from "../types/GetComplianceDetailsByResourceExceptionsUnion";
export declare class GetComplianceDetailsByResourceCommand implements __aws_sdk_types.Command<InputTypesUnion, GetComplianceDetailsByResourceInput, OutputTypesUnion, GetComplianceDetailsByResourceOutput, ConfigServiceResolvedConfiguration, Blob> {
    readonly input: GetComplianceDetailsByResourceInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetComplianceDetailsByResourceInput, GetComplianceDetailsByResourceOutput, Blob>;
    constructor(input: GetComplianceDetailsByResourceInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ConfigServiceResolvedConfiguration): __aws_sdk_types.Handler<GetComplianceDetailsByResourceInput, GetComplianceDetailsByResourceOutput>;
}
