"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetDiscoveredResourceCounts_1 = require("../model/operations/GetDiscoveredResourceCounts");
var GetDiscoveredResourceCountsCommand = /** @class */ (function () {
    function GetDiscoveredResourceCountsCommand(input) {
        this.input = input;
        this.model = GetDiscoveredResourceCounts_1.GetDiscoveredResourceCounts;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetDiscoveredResourceCountsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetDiscoveredResourceCountsCommand;
}());
exports.GetDiscoveredResourceCountsCommand = GetDiscoveredResourceCountsCommand;
//# sourceMappingURL=GetDiscoveredResourceCountsCommand.js.map