import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { PutAggregationAuthorizationInput } from "../types/PutAggregationAuthorizationInput";
import { PutAggregationAuthorizationOutput } from "../types/PutAggregationAuthorizationOutput";
import { ConfigServiceResolvedConfiguration } from "../ConfigServiceConfiguration";
export * from "../types/PutAggregationAuthorizationInput";
export * from "../types/PutAggregationAuthorizationOutput";
export * from "../types/PutAggregationAuthorizationExceptionsUnion";
export declare class PutAggregationAuthorizationCommand implements __aws_sdk_types.Command<InputTypesUnion, PutAggregationAuthorizationInput, OutputTypesUnion, PutAggregationAuthorizationOutput, ConfigServiceResolvedConfiguration, Blob> {
    readonly input: PutAggregationAuthorizationInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<PutAggregationAuthorizationInput, PutAggregationAuthorizationOutput, Blob>;
    constructor(input: PutAggregationAuthorizationInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ConfigServiceResolvedConfiguration): __aws_sdk_types.Handler<PutAggregationAuthorizationInput, PutAggregationAuthorizationOutput>;
}
