import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { PutRetentionConfigurationInput } from "../types/PutRetentionConfigurationInput";
import { PutRetentionConfigurationOutput } from "../types/PutRetentionConfigurationOutput";
import { ConfigServiceResolvedConfiguration } from "../ConfigServiceConfiguration";
export * from "../types/PutRetentionConfigurationInput";
export * from "../types/PutRetentionConfigurationOutput";
export * from "../types/PutRetentionConfigurationExceptionsUnion";
export declare class PutRetentionConfigurationCommand implements __aws_sdk_types.Command<InputTypesUnion, PutRetentionConfigurationInput, OutputTypesUnion, PutRetentionConfigurationOutput, ConfigServiceResolvedConfiguration, Blob> {
    readonly input: PutRetentionConfigurationInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<PutRetentionConfigurationInput, PutRetentionConfigurationOutput, Blob>;
    constructor(input: PutRetentionConfigurationInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ConfigServiceResolvedConfiguration): __aws_sdk_types.Handler<PutRetentionConfigurationInput, PutRetentionConfigurationOutput>;
}
