import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { StartRemediationExecutionInput } from "../types/StartRemediationExecutionInput";
import { StartRemediationExecutionOutput } from "../types/StartRemediationExecutionOutput";
import { ConfigServiceResolvedConfiguration } from "../ConfigServiceConfiguration";
export * from "../types/StartRemediationExecutionInput";
export * from "../types/StartRemediationExecutionOutput";
export * from "../types/StartRemediationExecutionExceptionsUnion";
export declare class StartRemediationExecutionCommand implements __aws_sdk_types.Command<InputTypesUnion, StartRemediationExecutionInput, OutputTypesUnion, StartRemediationExecutionOutput, ConfigServiceResolvedConfiguration, Blob> {
    readonly input: StartRemediationExecutionInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<StartRemediationExecutionInput, StartRemediationExecutionOutput, Blob>;
    constructor(input: StartRemediationExecutionInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ConfigServiceResolvedConfiguration): __aws_sdk_types.Handler<StartRemediationExecutionInput, StartRemediationExecutionOutput>;
}
