"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeComplianceByResourceInput_1 = require("../shapes/DescribeComplianceByResourceInput");
var DescribeComplianceByResourceOutput_1 = require("../shapes/DescribeComplianceByResourceOutput");
var InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
var InvalidNextTokenException_1 = require("../shapes/InvalidNextTokenException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeComplianceByResource = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeComplianceByResource",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeComplianceByResourceInput_1.DescribeComplianceByResourceInput
    },
    output: {
        shape: DescribeComplianceByResourceOutput_1.DescribeComplianceByResourceOutput
    },
    errors: [
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        },
        {
            shape: InvalidNextTokenException_1.InvalidNextTokenException
        }
    ]
};
//# sourceMappingURL=DescribeComplianceByResource.js.map