"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeConfigurationRecordersInput_1 = require("../shapes/DescribeConfigurationRecordersInput");
var DescribeConfigurationRecordersOutput_1 = require("../shapes/DescribeConfigurationRecordersOutput");
var NoSuchConfigurationRecorderException_1 = require("../shapes/NoSuchConfigurationRecorderException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeConfigurationRecorders = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeConfigurationRecorders",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeConfigurationRecordersInput_1.DescribeConfigurationRecordersInput
    },
    output: {
        shape: DescribeConfigurationRecordersOutput_1.DescribeConfigurationRecordersOutput
    },
    errors: [
        {
            shape: NoSuchConfigurationRecorderException_1.NoSuchConfigurationRecorderException
        }
    ]
};
//# sourceMappingURL=DescribeConfigurationRecorders.js.map