"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var PutRetentionConfigurationInput_1 = require("../shapes/PutRetentionConfigurationInput");
var PutRetentionConfigurationOutput_1 = require("../shapes/PutRetentionConfigurationOutput");
var InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
var MaxNumberOfRetentionConfigurationsExceededException_1 = require("../shapes/MaxNumberOfRetentionConfigurationsExceededException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.PutRetentionConfiguration = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "PutRetentionConfiguration",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: PutRetentionConfigurationInput_1.PutRetentionConfigurationInput
    },
    output: {
        shape: PutRetentionConfigurationOutput_1.PutRetentionConfigurationOutput
    },
    errors: [
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        },
        {
            shape: MaxNumberOfRetentionConfigurationsExceededException_1.MaxNumberOfRetentionConfigurationsExceededException
        }
    ]
};
//# sourceMappingURL=PutRetentionConfiguration.js.map