"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var StopConfigurationRecorderInput_1 = require("../shapes/StopConfigurationRecorderInput");
var StopConfigurationRecorderOutput_1 = require("../shapes/StopConfigurationRecorderOutput");
var NoSuchConfigurationRecorderException_1 = require("../shapes/NoSuchConfigurationRecorderException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.StopConfigurationRecorder = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "StopConfigurationRecorder",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: StopConfigurationRecorderInput_1.StopConfigurationRecorderInput
    },
    output: {
        shape: StopConfigurationRecorderOutput_1.StopConfigurationRecorderOutput
    },
    errors: [
        {
            shape: NoSuchConfigurationRecorderException_1.NoSuchConfigurationRecorderException
        }
    ]
};
//# sourceMappingURL=StopConfigurationRecorder.js.map