"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ResourceCountFilters_1 = require("./_ResourceCountFilters");
exports.GetAggregateDiscoveredResourceCountsInput = {
    type: "structure",
    required: ["ConfigurationAggregatorName"],
    members: {
        ConfigurationAggregatorName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        Filters: {
            shape: _ResourceCountFilters_1._ResourceCountFilters
        },
        GroupByKey: {
            shape: {
                type: "string"
            }
        },
        Limit: {
            shape: {
                type: "integer"
            }
        },
        NextToken: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=GetAggregateDiscoveredResourceCountsInput.js.map