"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ResourceIdList_1 = require("./_ResourceIdList");
exports.ListDiscoveredResourcesInput = {
    type: "structure",
    required: ["resourceType"],
    members: {
        resourceType: {
            shape: {
                type: "string"
            }
        },
        resourceIds: {
            shape: _ResourceIdList_1._ResourceIdList
        },
        resourceName: {
            shape: {
                type: "string"
            }
        },
        limit: {
            shape: {
                type: "integer"
            }
        },
        includeDeletedResources: {
            shape: {
                type: "boolean"
            }
        },
        nextToken: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=ListDiscoveredResourcesInput.js.map