"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _TagsList_1 = require("./_TagsList");
exports.PutAggregationAuthorizationInput = {
    type: "structure",
    required: ["AuthorizedAccountId", "AuthorizedAwsRegion"],
    members: {
        AuthorizedAccountId: {
            shape: {
                type: "string"
            }
        },
        AuthorizedAwsRegion: {
            shape: {
                type: "string",
                min: 1
            }
        },
        Tags: {
            shape: _TagsList_1._TagsList
        }
    }
};
//# sourceMappingURL=PutAggregationAuthorizationInput.js.map