"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ConfigSnapshotDeliveryProperties_1 = require("./_ConfigSnapshotDeliveryProperties");
exports._DeliveryChannel = {
    type: "structure",
    required: [],
    members: {
        name: {
            shape: {
                type: "string",
                min: 1
            }
        },
        s3BucketName: {
            shape: {
                type: "string"
            }
        },
        s3KeyPrefix: {
            shape: {
                type: "string"
            }
        },
        snsTopicARN: {
            shape: {
                type: "string"
            }
        },
        configSnapshotDeliveryProperties: {
            shape: _ConfigSnapshotDeliveryProperties_1._ConfigSnapshotDeliveryProperties
        }
    }
};
//# sourceMappingURL=_DeliveryChannel.js.map