"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports._Evaluation = {
    type: "structure",
    required: [
        "ComplianceResourceType",
        "ComplianceResourceId",
        "ComplianceType",
        "OrderingTimestamp"
    ],
    members: {
        ComplianceResourceType: {
            shape: {
                type: "string",
                min: 1
            }
        },
        ComplianceResourceId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        ComplianceType: {
            shape: {
                type: "string"
            }
        },
        Annotation: {
            shape: {
                type: "string",
                min: 1
            }
        },
        OrderingTimestamp: {
            shape: {
                type: "timestamp"
            }
        }
    }
};
//# sourceMappingURL=_Evaluation.js.map