"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports._MemberAccountStatus = {
    type: "structure",
    required: ["AccountId", "ConfigRuleName", "MemberAccountRuleStatus"],
    members: {
        AccountId: {
            shape: {
                type: "string"
            }
        },
        ConfigRuleName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        MemberAccountRuleStatus: {
            shape: {
                type: "string"
            }
        },
        ErrorCode: {
            shape: {
                type: "string"
            }
        },
        ErrorMessage: {
            shape: {
                type: "string"
            }
        },
        LastUpdateTime: {
            shape: {
                type: "timestamp"
            }
        }
    }
};
//# sourceMappingURL=_MemberAccountStatus.js.map