"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _RemediationParameters_1 = require("./_RemediationParameters");
exports._RemediationConfiguration = {
    type: "structure",
    required: ["ConfigRuleName", "TargetType", "TargetId"],
    members: {
        ConfigRuleName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        TargetType: {
            shape: {
                type: "string"
            }
        },
        TargetId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        TargetVersion: {
            shape: {
                type: "string"
            }
        },
        Parameters: {
            shape: _RemediationParameters_1._RemediationParameters
        },
        ResourceType: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=_RemediationConfiguration.js.map